Bug 20544 - Wrong comment in database documentation for items.itemnotes
Summary: Wrong comment in database documentation for items.itemnotes
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Developer documentation (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Katrin Fischer
QA Contact: Josef Moravec
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-04-09 09:38 UTC by paxed
Modified: 2019-05-27 12:25 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 20544: Wrong comment database documentation on itemnotes (2.65 KB, patch)
2019-02-10 00:39 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 20544: Wrong comment database documentation on itemnotes (2.71 KB, patch)
2019-02-12 14:05 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 20544: Wrong comment database documentation on itemnotes (2.76 KB, patch)
2019-02-12 20:53 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description paxed 2018-04-09 09:38:10 UTC
kohastructure.sql has a wrong comment on items.itemnotes, claiming it is MARC21 952$x, when it should be 952$z

kohastructure.sql:

  `itemnotes` LONGTEXT, -- public notes on this item (MARC21 952$x)


marc21_framework_DEFAULT.sql:
  ('952', 'x', 'Non-public note', 'Non-public note', 0, 0, 'items.itemnotes_nonpublic' ...
Comment 1 Katrin Fischer 2019-02-10 00:39:23 UTC
Created attachment 84941 [details] [review]
Bug 20544: Wrong comment database documentation on itemnotes

Fixes the comments in kohastructure.sql to state the right
MARC21 fields for itemnotes (public and internal).

To test:
- Create a new Koha database and make sure it still installs
- Read the patch and check comments are correct
Comment 2 Martin Renvoize 2019-02-12 14:05:22 UTC
Created attachment 85020 [details] [review]
Bug 20544: Wrong comment database documentation on itemnotes

Fixes the comments in kohastructure.sql to state the right
MARC21 fields for itemnotes (public and internal).

To test:
- Create a new Koha database and make sure it still installs
- Read the patch and check comments are correct

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 3 Martin Renvoize 2019-02-12 14:05:55 UTC
Another good catch and the updated text in the patch makes sense to me.. Signing off
Comment 4 Josef Moravec 2019-02-12 20:53:54 UTC
Created attachment 85025 [details] [review]
Bug 20544: Wrong comment database documentation on itemnotes

Fixes the comments in kohastructure.sql to state the right
MARC21 fields for itemnotes (public and internal).

To test:
- Create a new Koha database and make sure it still installs
- Read the patch and check comments are correct

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 5 Nick Clemens 2019-02-15 18:49:23 UTC
Awesome work all!

Pushed to master for 19.05
Comment 6 Martin Renvoize 2019-02-25 15:27:18 UTC
Pushed to 18.11.x for 18.11.04
Comment 7 Lucas Gass 2019-03-05 22:51:35 UTC
backported to 18.05.x for 18.05.11